	always @(posedge clock)
	 if (inta)     regFile[30]   <= programCounter                     			;
	  else				
	   case(opCode)				
	   	add  	: {carry, regFile[destAddr]} 		
					<= regFile[leftAddr] + regFile[rightAddr]					;
	   	sub  	: {carry, regFile[destAddr]} 		
					<= regFile[leftAddr] - regFile[rightAddr]					;
	   	addc  	: {carry, regFile[destAddr]} 		
					<= regFile[leftAddr] + regFile[rightAddr] + carry			;
	   	subc  	: {carry, regFile[destAddr]} 		
					<= regFile[leftAddr] - regFile[rightAddr] - carry			;
		move	: regFile[destAddr] <= regFile[leftAddr]						;
	   	ashr 	: regFile[destAddr] 
					<= {regFile[leftAddr][31], regFile[leftAddr][31:1]}			;
	   	neg  	: regFile[destAddr] <= ~regFile[leftAddr]                       ;
	   	bwand	: regFile[destAddr] <= regFile[leftAddr] & regFile[rightAddr]  	;
	   	bwor 	: regFile[destAddr] <= regFile[leftAddr] | regFile[rightAddr]  	;
	   	bwxor	: regFile[destAddr] <= regFile[leftAddr] ^ regFile[rightAddr]  	;
	   	val  	: regFile[destAddr] <= immValue                					;
	   	hval 	: regFile[destAddr] <= {immValue[15:0], regFile[leftAddr][15:0]};
	   	get  	: regFile[destAddr] <= inRegister                               ;																	
	   	send 	: outRegister  	 	<= regFile[leftAddr][15:0]                  ;
	   	receive	: if (!empty) 			
					inRegister 		<= inStream									;
	   	datard	: regFile[destAddr] <= dataIn									;
	   	default regFile[0]   	 	<= regFile[0]                            	;
	   endcase
			
	assign read 		= (opCode == receive) & (!empty);
	assign write	 	= (opCode == issue) & (!full)	;
	assign store		= (opCode == datawr)			;
	assign dataAddr		= regFile[leftAddr]				;
	assign dataOut		= regFile[rightAddr]            ;
	assign outStream 	= outRegister					;