module toyMachine(
        input  		[15:0] inStream   		, // input stream of data
        input              empty         	, // inStream has no meaning 
        output             read          	, // read from the sender
        output 		[15:0] outStream  		, // output stream of data
        input              full          	, // the receiver is not able to receive 
        output             write         	, // write the element form outRegister
        input  		       interrupt  		, // interrupt input
        output 		       inta       		, // interrupt acknowledge
        output 		[31:0] dataAddr   		, // address for data memory
        output 		[31:0] dataOut    		, // data of be stored in data memory
        output             store         	, // store dataOut at dataAddr in data memory
        input  		[31:0] dataIn     		, // data from data memory
        output reg	[31:0] programCounter	, // address for program memory
        input  		[31:0] instruction		, // instruction form the program memory
        input  		       reset      		, // reset input
        input  		       clock      		);// clock input // 2429 LUTs		
    // INTERNAL STATE				
    reg  [15:0] inRegister		;
    reg  [15:0] outRegister		;
    reg  [31:0] regFile[0:31]	;
    reg         carry			;
    reg         intEnable		;
					
     `include "toyMachineArchitecture.v" 
     `include "instructionStructure.v" 
     `include "controlFunction.v"
     `include "dataFunction.v"	
endmodule
