	parameter   
        nop     = 6'b000000, 	// no operation: increment programCounter only
								// CONTROL INSTRUCTIONS
        jmp     = 6'b000001, 	// programCounter take the value form a register 
        zjmp    = 6'b000010, 	// jump if the selected register is 0
        nzjmp   = 6'b000011, 	// jump if the selected register is not 0
		rjmp	= 6'b000100,	// relative jump: pc = pc + immVal
        ei      = 6'b000110, 	// enable interrupt 
        di      = 6'b000111, 	// disable interrupt
        halt    = 6'b001000, 	// programCounter does not change
								// DATA INSTRUCTIONS: pc = pc + 1
								// Arithmetic & logic instructions
	    neg     = 6'b010000, 	// bitwise not                      
        bwand   = 6'b010001, 	// bitwise and           
        bwor    = 6'b010010, 	// bitwise or          
        bwxor   = 6'b010011, 	// bitwise exclusive or
        add     = 6'b010100, 	// add             
        sub     = 6'b010101, 	// subtract
		addc	= 6'b010110, 	// add with carry    
        subc    = 6'b010111, 	// subtract with carry
		move	= 6'b011000,	// move
        ashr    = 6'b011001, 	// arithmetic shift right with one position                    
        val     = 6'b011010, 	// load immediate value with sign extension
        hval    = 6'b011011, 	// append immediate value on high positions
								// Input output instructions
		receive	= 6'b100000, 	// load inRegister if empty = 0
		issue	= 6'b100001, 	// send the content of outRegister if full = 0
        get     = 6'b100010, 	// load in file register the inRegister
        send    = 6'b100011, 	// load in outRegister the content of register
		datard	= 6'b100100, 	// read from data memory
		datawr  = 6'b100101; 	// write to data memory
